<xsl:transform version="1.0"   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:p="urn:pnml-working">
	<xsl:output method="html" indent="yes" omit-xml-declaration="yes" />
	<xsl:param name="mode">XML</xsl:param>
 
   <xsl:template match="/">
      <html>
         <head>
            <title>ChemNet SBP Demonstration</title>
   
            <script language="Javascript">
                   
               <xsl:for-each select="Application/Intentions">
                  <xsl:apply-templates />
               </xsl:for-each>   
            
            </script>   
         </head>
         <body>
            <font face="Verdana" font-size="12pt">
               <strong>Chemical Manufacturing Simulation</strong>
            </font><p/>
            <font face="Verdana" font-size="10pt">Powered by SBP and Petri Nets</font><p/>
            <hr/>
            <div id="netView">
            </div>
            <hr/>
            <font face="Verdana" font-size="8pt">Click table to advance one generation </font>
         </body>
      </html>
   </xsl:template>

   <xsl:template match="codeBlock">
     <xsl:if test="@mode=$mode">
       <xsl:apply-templates />
     </xsl:if>
   </xsl:template> 
                           
</xsl:transform>